
Redmine - Defect #19496

error when searching a keyword (not an ticket id) from the homepage

2015-03-26 19:28 - Top Kool

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.1

Description

Started GET "/search?utf8=%E2%9C%93&q=problem" for <masked> at 2015-03-26 19:17:53 +0100

Processing by SearchController#index as HTML

Parameters: {"utf8"=>"?", "q"=>"problem"}

Current user: <masked> (id=8)

Completed 500 Internal Server Error in 60ms

NoMethodError (undefined method `search_result_ranks_and_ids' for #<Class:0x006ae1b93b74b8>):

lib/redmine/search.rb:127:in `block in load_result_ids'

lib/redmine/search.rb:125:in `each'

lib/redmine/search.rb:125:in `load_result_ids'

lib/redmine/search.rb:115:in `block in load_result_ids_from_cache'

lib/redmine/search.rb:114:in `load_result_ids_from_cache'

lib/redmine/search.rb:99:in `result_ids'

lib/redmine/search.rb:70:in `result_count'

app/controllers/search_controller.rb:65:in `index

History

#1 - 2015-03-27 07:34 - Go MAEDA

- Status changed from New to Needs feedback

Could you remove all plugins and try the search again?

#2 - 2015-03-29 18:42 - Top Kool

Go MAEDA wrote:

Could you remove all plugins and try the search again?

 It works. The issue came from the redmine_dmsf plugin.

#3 - 2015-03-29 23:35 - Go MAEDA

- Status changed from Needs feedback to Closed

Thank you for feedback.

I close this issue.

#4 - 2015-03-29 23:36 - Go MAEDA

- Resolution set to Invalid
